@echo off
if "%1"=="" goto begin
set drvlet=%1
goto start

:begin
set drvlet=A


cls
echo.
echo.
echo Create OmniBook (FAT16/FAT32) Support Utility disk....
echo.
echo If you booted from the CD-ROM, the floppy drive is B:.
echo.
echo Select a floppy drive [A,B]
getansw ab 
if errorlevel 1 set drvlet=B

num_flop
if not errorlevel 1 set drvlet=A

:start
echo.
echo.
echo WARNING:  You are about to destroy all files that may exist on the 3.5"
echo           high density floppy disk in drive %drvlet%:.  Press Y if you wish to
echo           continue or N to abort the process.
echo.
getansw yn 
if errorlevel 1 goto end 

echo.
echo.
copydisk support.img %drvlet%:
if not errorlevel 0 goto xfer_err

echo.
echo.
goto end

:nodrive
echo.
echo Please specify the floppy drive
echo Example:  MAKEDISK A
echo Example:  MAKEDISK B
goto end

:xfer_err
echo.
echo OmniBook Support Utility disk creation ERROR...
echo.
goto end

:end
